/* a minimalist set of CSS resets */

/* default to border-box */

:root {
  --test-color: #30f858;
}
html {
  box-sizing: border-box;
  font-size: 16px;
}

*, *:before, *:after {
  box-sizing: inherit;
}

/* adjust typography defaults */
body {
  margin: 1rem;
  font-family: sans-serif;
  line-height: 1.5;
  background-color: black;
  color: var(--test-color);
}

.center-container{
  align-items: center;
  display: flex;
  justify-content: center;
}
/* images and videos max out at full width */
img,
video {
  height: auto;
  max-width: 100%;
}

h1{
  text-align: center;
  border: 3px var(--test-color) inset;
  margin-left: 100px;
  margin-right: 100px;
  font-family: "Nova Square", sans-serif;
}

input {
  width: 100px;
  height: 100px;
  background-color: black;
  border: 2px var(--test-color) solid;
  border-radius: 10px;
  transition: width 0.5s, height 0.5s;
}
input:hover, input:active {
  width: 120px;
  height: 120px;
}


p {
  text-align: center;
}
#subtext {
  padding-bottom: 10px;
}
#favorite {
  font-variation-settings:
  'FILL' 0,
  'wght' 400,
  'GRAD' 0,
  'opsz' 24;
  padding: 5px;
  margin: 5px;
  padding-bottom: 2px;
  border-radius: 100px;
  border: 2px solid var(--test-color);
  background-color: black;
  cursor: pointer;
  transition: color 0.2s ease-in;
}
#favorite:hover {
  color: white;
}
#favorite:active {
  color: blue;
}

#trycolor {
  font-variation-settings:
  'FILL' 0,
  'wght' 400,
  'GRAD' 0,
  'opsz' 24;
  padding: 5px;
  margin: 5px;
  padding-bottom: 2px;
  border-radius: 100px;
  border: 2px solid var(--test-color);
  background-color: black;
  cursor: pointer;
  color: white;
  transition: color 0.2s ease-in;
}
#trycolor:hover {
  color: var(--test-color);
}
#trycolor:active {
  color: blue;
}

#fav_color{
  width:60px;
  height: 60px;
  border-radius: 30px;
  
}
.line{
  width: 50%;
  height: 1px;
  margin: 20px;
  border: 1px var(--test-color) solid;
  transition: width 1s ease-in-out;
}
.line:hover{
  width: 99%;
  height: 1px;
  margin: 20px;
  border: 1px var(--test-color) solid;
}

a {
  cursor: pointer;
  color: var(--test-color);
}

#colorcode{
  cursor: pointer;
}
.tooltip {
    position: relative;
    display: inline-block;
    cursor: pointer;
}

#copiedtext {
  visibility: hidden;
  transition: visibility 0.3s ease-in-out;
}